package com.company.testextendview.view.extreceivedinappnotificationsdialog;

import com.company.testextendview.view.main.MainView;
import com.vaadin.flow.component.icon.Icon;
import com.vaadin.flow.component.orderedlayout.FlexComponent;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.router.Route;
import io.jmix.flowui.kit.component.button.JmixButton;
import io.jmix.flowui.view.Subscribe;
import io.jmix.flowui.view.ViewComponent;
import io.jmix.flowui.view.ViewController;
import io.jmix.flowui.view.ViewDescriptor;
import io.jmix.notificationsflowui.view.receivedinappnotifications.ReceivedInAppNotificationsDialog;

@Route(value = "test", layout = MainView.class)
@ViewController("ntf_ReceivedInAppNotificationsDialog")
@ViewDescriptor("ext-received-in-app-notifications-dialog.xml")
public class ExtReceivedInAppNotificationsDialog extends ReceivedInAppNotificationsDialog {
    @ViewComponent
    private VerticalLayout allBtns;
    @ViewComponent
    private HorizontalLayout ancHrefBox;
    @ViewComponent
    private HorizontalLayout ancIconBox;
    @ViewComponent
    private HorizontalLayout ancMainBox;
    @ViewComponent
    private JmixButton editBtn;
    @ViewComponent
    private JmixButton skipBtn;
    @ViewComponent
    private Icon ancIcon;

    @Subscribe
    public void onReady(final ReadyEvent event) {

        ancHrefBox.getStyle().setBackgroundColor("lightblue");
        ancHrefBox.setWidth("50%");
        ancHrefBox.setPadding(false);
        ancHrefBox.setMargin(false);
        ancHrefBox.getStyle().setFontWeight("bold");
        ancHrefBox.getStyle().setFontSize("15px");

        ancIconBox.getStyle().setBackgroundColor("lightblue");
        ancIconBox.setWidth("50%");
        ancIconBox.setAlignSelf(FlexComponent.Alignment.END);

        ancIcon.getStyle().setWidth("15px");
        ancIcon.getStyle().setHeight("15px");

        ancMainBox.getStyle().setBackgroundColor("lightblue");
        ancMainBox.setHeight("40px");
        ancMainBox.setWidth("100%");
        ancMainBox.setAlignItems(FlexComponent.Alignment.CENTER);

        editBtn.setWidth("100%");
        editBtn.setHeight("40px");
        editBtn.getStyle().setBackgroundColor("lightgreen");
        editBtn.getStyle().setFontSize("15px");
        editBtn.getStyle().setFontWeight("bold");

        skipBtn.setHeight("40px");
        skipBtn.setWidth("100%");
        skipBtn.getStyle().setBackgroundColor("orange");
        skipBtn.getStyle().setFontSize("15px");
        skipBtn.getStyle().setFontWeight("bold");

    }





}